
LFGShout.vars.filterOptions={a="Any",b="Low", c="Medium", d="High"}

LFGShout.config.AceConfig = {
    name = "LFG and Trade Shout",
    handler = nil,
    type = 'group',
    args = {
		a = {
            type = 'header',
            name = 'General Options',
			order=100,
            
        },
		
        aa = {
            type = 'toggle',
            name = 'Shout in chat',
            desc = 'Announce chat messages in chat?',
            set = function(info,val) LFGShout_Global.ChatShout=val end,
            get = function(info) return LFGShout_Global.ChatShout end,
			order=101,
        },
		
		ab = {
            type = 'toggle',
            name = 'Show Trade',
            desc = 'Announce trade messages?',
            set = function(info,val) LFGShout_Global.ShowTrade=val end,
            get = function(info) return LFGShout_Global.ShowTrade end,
			order=102,
        },
		
		ac = {
            type = 'toggle',
            name = 'Show Guild Adverts',
            desc = 'Announce guild adverts?',
            set = function(info,val) LFGShout_Global.ShowGuild=val end,
            get = function(info) return LFGShout_Global.ShowGuild end,
			order=103,
        },
		
		b = {
            type = 'header',
            name = 'Filter Controls',
			order=200,
			
            
        },
		
		ba = {
            type = 'select',
            name = 'Filter Level',
            desc = 'Filter Level: All- Most messages matching a keyword, High - Multi phrase matches only(e.g. LFM ICC10)',
			style="dropdown",
			values=LFGShout.vars.filterOptions,
            set = function(info,val) LFGShout.config:SetFilterLevel(info, val) end,
            get = function(info) return LFGShout.config:GetFilterLevel(info) end,
			order=201,
        },
		bb = {
            type = 'description',
            name = '|cff00FFFFFilter Level:\n|cFFFFF000All|r - All messages matching a keyword\n|cFFFFF000Low|r - Most keyword hist will be shown\n|cFFFFF000Medium|r - Good level of matching\n|cFFFFF000High|r - Multi phrase matches only(e.g. LFM ICC10)',
			fontSize='medium',
			order=202,
        },
		
		
    },
}

 LFGShout.config.AceOptionsTable= LibStub("AceConfig-3.0")

 LFGShout.config.AceOptionsTable:RegisterOptionsTable("LFGShout", LFGShout.config.AceConfig)
 LFGShout.config.AceDialog= LibStub("AceConfigDialog-3.0")
 LFGShout.config.AceDialog:AddToBlizOptions("LFGShout","LFG Shout")



function LFGShout.config:SetFilterLevel(info, val)
		LFGShout.utils:Debug(2,"Val:"..val);
		
	if (val=="a") then LFGShout_Global.FilterLevel=1;
	elseif (val=="b") then LFGShout_Global.FilterLevel=45;
	elseif (val=="c") then LFGShout_Global.FilterLevel=75;
	else LFGShout_Global.FilterLevel=101 end
	
end
function LFGShout.config:GetFilterLevel(info)
	if (LFGShout_Global.FilterLevel==1) then return "a" end
	if (LFGShout_Global.FilterLevel==45) then return "b" end
	if (LFGShout_Global.FilterLevel==75) then return "c" end
	return "d"
end